Bug 239761 - Review Request: python-IPy - Python module for handling IPv4 and IPv6 Addresses and Networks
Review Request: python-IPy - Python module for handling IPv4 and IPv6 Address...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 00:29 EDT by Matt Domsch
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.53-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 16:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2007-05-11 00:29:47 EDT
Spec URL: http://domsch.com/linux/fedora/extras/python-IPy/python-IPy.spec
SRPM URL: http://domsch.com/linux/fedora/extras/python-IPy/python-IPy-0.53-1.fc6.src.rpm
Description: 

IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks 
in a fashion similar to perl's Net::IP and friends. The IP class allows 
a comfortable parsing and handling for most notations in use for IPv4 
and IPv6 Addresses and Networks.

Mirrormanager uses IPy for doing netblock math to return a site-local mirror.
Comment 1 Nigel Jones 2007-06-05 23:13:35 EDT
I'll be happy to review this package (it looks nice and quick)
Comment 2 Nigel Jones 2007-06-05 23:30:12 EDT
1. Release:        1%{dist} should be Release:        1%{?dist}

Package name:             PASS (python-IPy)
License:                  PASS (BSD)
Spec Legible:             PASS (en_US)
md5sum matches:           PASS
rpmlint clean:            WARN
Builds correctly:         PASS (i386)
RPaths removed:           NA
Spec has %clean:          PASS
Macro use consistant:     PASS
Contains code/content:    PASS
-doc subpackage:          NA
-devel subpackage:        NA
-static subpackage:       NA
pkgconfig depend:         NA
Contains %doc:            PASS (AUTHORS COPYING ChangeLog PKG-INFO README example)
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: NA
No duplicate ownerships:  PASS
rm -rf %{buildroot}:      PASS
RPM uses valid UTF-8:     PASS
%defattr is set:          PASS
No duplicate %files:      PASS
Not relocatable:          PASS
Calls ldconfig:           NA
Supports Locales:         NA
BR's are correct:         PASS

NA - Not Applicable
NT - Not Tested

rpmlint on build RPMS:
Clean

rpmlint on SRPM:
W: python-IPy mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 16)

SRPM lint warning can be ignored, but should be fixed, the disttag problem
should be fixed before import and the debug define can be removed as it's a
noarch package, however..

APPROVED
Comment 3 Matt Domsch 2007-06-06 00:07:44 EDT
New Package CVS Request
=======================
Package Name: python-IPy
Short Description: Python module for handling IPv4 and IPv6 Addresses and Networks
Owners: Matt_Domsch@dell.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 
Comment 4 Matt Domsch 2007-06-06 09:31:39 EDT
Package Change Request
======================
Package Name: python-IPy
Updated Fedora CC: victor.stinner@inl.fr
Updated EPEL CC: victor.stinner@inl.fr

Adding the upstream maintainer as a cc.
Comment 5 Kevin Fenzi 2007-06-06 15:59:52 EDT
cvs done.
Comment 6 Fedora Update System 2007-06-07 11:57:58 EDT
python-IPy-0.53-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-06-21 16:03:12 EDT
python-IPy-0.53-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.